export declare class GovTabsItem {
    private h;
    private readonly contentId;
    private readonly triggerId;
    constructor();
    host: HTMLGovTabsItemElement;
    /**
     * Custom tab item identifier. Otherwise, it will be generated
     */
    readonly identifier: string;
    /**
     * Custom tab trigger item identifier. Otherwise, it will be generated
     */
    readonly triggerIdentifier: string;
    /**
     * Item name of the tab
     */
    readonly label: string;
    /**
     * Item disable state
     */
    readonly disabled: boolean;
    /**
     * Icon definition at the stat. Use the type/name notation
     */
    readonly iconStart: string;
    /**
     * Icon definition at the end. Use the type/name notation
     */
    readonly iconEnd: string;
    /**
     * Default selected tab
     */
    readonly default: boolean;
    isActive: boolean;
    rerenderParent(): void;
    render(): any;
    /**
     * Returns a unique tab content identifier
     */
    getIdentifier(): Promise<string>;
    /**
     * Returns a unique tab trigger identifier
     */
    getTriggerIdentifier(): Promise<string>;
    /**
     * Returns a unique tab trigger identifier
     */
    getDisableState(): Promise<boolean>;
    /**
     * Set status of tab-item
     */
    setActiveStatus(status: boolean): Promise<void>;
}
